CREATE DATABASE  IF NOT EXISTS `universidadeead` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `universidadeead`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: 127.0.0.1    Database: universidadeead
-- ------------------------------------------------------
-- Server version	5.5.37

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `disciplinasoferecidas`
--

DROP TABLE IF EXISTS `disciplinasoferecidas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `disciplinasoferecidas` (
  `idsemestre` varchar(6) NOT NULL DEFAULT '',
  `idPolo` int(11) NOT NULL,
  `iddisciplina` varchar(45) NOT NULL,
  `idCurso` int(11) NOT NULL,
  `diaAP1` date DEFAULT NULL,
  `idHorarioAP1` int(11) DEFAULT NULL,
  `diaAp2` date DEFAULT NULL,
  `idHorarioAP2` int(11) DEFAULT NULL,
  `diaAP3` date DEFAULT NULL,
  `idHorarioAP3` int(11) DEFAULT NULL,
  `disciplinasoferecidascol` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idPolo`,`iddisciplina`,`idsemestre`,`idCurso`),
  KEY `FK_DISCOFF_HORPROVA_idx` (`idHorarioAP1`),
  KEY `FK_DISCOFF_HORPROVA2_idx` (`idHorarioAP2`),
  KEY `FK_DISCOFF_HORPROVA3_idx` (`idHorarioAP3`),
  KEY `FK_DISCOFF_DISC_idx` (`iddisciplina`),
  KEY `FK_DISCOFF_CURSO_idx` (`idCurso`),
  CONSTRAINT `FK_DISCOFF_DISC` FOREIGN KEY (`iddisciplina`) REFERENCES `disciplina` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DISCOFF_CURSO` FOREIGN KEY (`idCurso`) REFERENCES `curso` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DISCOFF_HORPROVA1` FOREIGN KEY (`idHorarioAP1`) REFERENCES `horario_prova` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DISCOFF_HORPROVA2` FOREIGN KEY (`idHorarioAP2`) REFERENCES `horario_prova` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DISCOFF_HORPROVA3` FOREIGN KEY (`idHorarioAP3`) REFERENCES `horario_prova` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DISCOFF_POLO` FOREIGN KEY (`idPolo`) REFERENCES `polo` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `disciplinasoferecidas`
--

LOCK TABLES `disciplinasoferecidas` WRITE;
/*!40000 ALTER TABLE `disciplinasoferecidas` DISABLE KEYS */;
/*!40000 ALTER TABLE `disciplinasoferecidas` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-07-17 18:44:57
