CREATE DATABASE  IF NOT EXISTS `universidadeead` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `universidadeead`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: 127.0.0.1    Database: universidadeead
-- ------------------------------------------------------
-- Server version	5.5.37

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `tipologradouro`
--

DROP TABLE IF EXISTS `tipologradouro`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tipologradouro` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `descricao` varchar(45) NOT NULL,
  `abreviacao` varchar(45) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=130 DEFAULT CHARSET=latin1 COMMENT='Tabela de parametrização de tipos de logradouro';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tipologradouro`
--

LOCK TABLES `tipologradouro` WRITE;
/*!40000 ALTER TABLE `tipologradouro` DISABLE KEYS */;
INSERT INTO `tipologradouro` VALUES (1,'ACAMPAMENTO','ACAMP'),(2,'ACESSO','AC'),(3,'ADRO','AD'),(4,'AEROPORTO','ERA'),(5,'ALAMEDA','AL'),(6,'ALTO','AT'),(7,'AREA','A'),(8,'AREA ESPECIAL','AE'),(9,'ARTERIA','ART'),(10,'ATALHO','ATL'),(11,'AVENIDA','AV'),(12,'AVENIDA CONTORNO','AV-CONT'),(13,'BAIXA','BX'),(14,'BALAO','BLO'),(15,'BALNEARIO','BAL'),(16,'BECO','BC'),(17,'BELVEDERE','BELV'),(18,'BLOCO','BL'),(19,'BOSQUE','BSQ'),(20,'BOULEVARD','BVD'),(21,'BURACO','BCO'),(22,'CAIS','C'),(23,'CALCADA','CALC'),(24,'CAMINHO','CAM'),(25,'CAMPO','CPO'),(26,'CANAL','CAN'),(27,'CHACARA','CHAP'),(28,'CHAPADAO','CHAP'),(29,'CIRCULAR','CIRC'),(30,'COLONIA','COL'),(31,'COMPLEXO VIARIO','CMP-VR'),(32,'CONDOMINIO','COND'),(33,'ONJUNTO','CJ'),(34,'CORREDOR','COR'),(35,'CORREGO','CRG'),(36,'DESCIDA','DSC'),(37,'DESVIO','DSV'),(38,'DISTRITO','DT'),(39,'ELEVADA','EVD'),(40,'ENTRADA PARTICULAR','ENT-PART'),(41,' ENTRE QUADRA','EQ'),(42,' ESCADA','ESC'),(43,' ESPLANADA','ESP'),(44,' ESTACAO','ETC'),(45,' ESTACIONAMENTO','ESTC'),(46,' ESTADIO','ETD'),(47,' ESTANCIA','ETN'),(48,' ESTRADA','EST'),(49,' ESTRADA MUNICIPAL','EST-MUN'),(50,'FAVELA','FAV'),(51,'FAZENDA','FAZ'),(52,'FEIRA','FRA'),(53,'FERROVIA','FER'),(54,'FONTE','FNT'),(55,'FORTE','FTE'),(56,'GALERIA','GAL'),(57,'GRANJA','GJA'),(58,'HABITACIONAL','HAB'),(59,'ILHA','IA'),(60,'JARDIM','JD'),(61,'JARDINETE','JDE'),(62,'LADEIRA','LD'),(63,'LAGO','LG'),(64,'LAGOA','LGA'),(65,'LARGO','LRG'),(66,'LOTEAMENTO','LOT'),(67,'MARINA','MNA'),(68,'MODULO','MOD'),(69,'MONTE','TEM'),(70,'MORRO','MRO'),(71,'NUCLEO','NUC'),(72,'PARADA','PDA'),(73,'PARADOURO','PDO'),(74,'PARALELA','PAR'),(75,'PARQUE','PRQ'),(76,'PASSAGEM','PSG'),(77,'PASSAGEM SUBTERRANEA','PSC-SUB'),(78,'PASSARELA','PSA'),(79,'PASSEIO','PAS'),(80,'PATIO','PAT'),(81,'PONTA','PNT'),(82,'PONTE','PTE'),(83,'PORTO','PTO'),(84,'PRACA','PC'),(85,'PRACA DE ESPORTES','PC-ESP'),(86,'PRAIA','PR'),(87,'PROLONGAMENTO','PRL'),(88,'QUADRA','Q'),(89,'QUINTA','QTA'),(90,'QUINTA','QTAS'),(91,'RAMAL','RAM'),(92,'RAMPA','RMP'),(93,'RECANTO','REC'),(94,'RESIDENCIAL','RES'),(95,'RETA','RET'),(96,'RETIRO','RER'),(97,'RETORNO','RTN'),(98,'RODO ANEL','ROD-AN'),(99,'RODOVIA','ROD'),(100,'ROTATORIA','RTT'),(101,'ROTULA','ROT'),(102,'RUA','R'),(103,'RUA DE LIGACAO','R-LIG'),(104,'RUA DE PEDESTRE','R-PED'),(105,'SERVIDAO','SRV'),(106,'SETOR','ST'),(107,'SITIO','SIT'),(108,'SUBIDA','SUB'),(109,'TERMINAL','TER'),(110,'TRAVESSA','TV'),(111,'TRAVESSA PARTICULAR','TV-PART'),(112,'TRECHO','TRV'),(113,'TREVO','TRV'),(114,'TRINCHEIRA','TCH'),(115,'TUNEL','TUN'),(116,'UNIDADE','UNID'),(117,'VALA','VAL'),(118,'VALE','VLE'),(119,'VARIANTE','VRTE'),(120,'VEREDA','VER'),(121,'VIA','V'),(122,'VIA DE ACESSO','V-AC'),(123,'VIA DE PEDESTRE','V-PED'),(124,'VIA ELEVADO','V-EVD'),(125,'VIA EXPRESSA','V-EXP'),(126,'VIADUTO','VD'),(127,'VIELA','VLA'),(128,'VILA','VL'),(129,'ZIGUE-ZAGUE','ZIG-ZAG');
/*!40000 ALTER TABLE `tipologradouro` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-07-17 18:44:56
